/* 
 * keypad
 *
 * A suite of communication APIs for web and enterprise applications
 *
 * OpenAPI spec version: v1
 * Contact: fmalka@modulo.co.il
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */
using System;
using System.Linq;
using System.IO;
using System.Text;
using System.Text.RegularExpressions;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Runtime.Serialization;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System.ComponentModel.DataAnnotations;
using SwaggerDateConverter = SeriousSIP.Client.SwaggerDateConverter;

namespace SeriousSIP.Model
{
    /// <summary>
    /// Defines SIPCallDtmfMode
    /// </summary>
    [JsonConverter(typeof(StringEnumConverter))]
        public enum SIPCallDtmfMode
    {
        /// <summary>
        /// Enum Rfc2833 for value: Rfc2833
        /// </summary>
        [EnumMember(Value = "Rfc2833")]
        Rfc2833 = 1,
        /// <summary>
        /// Enum Inband for value: Inband
        /// </summary>
        [EnumMember(Value = "Inband")]
        Inband = 2,
        /// <summary>
        /// Enum DtmfRelay for value: DtmfRelay
        /// </summary>
        [EnumMember(Value = "DtmfRelay")]
        DtmfRelay = 3,
        /// <summary>
        /// Enum Dtmf for value: Dtmf
        /// </summary>
        [EnumMember(Value = "Dtmf")]
        Dtmf = 4    }
}
